
Katello - Bug #6842

confusing content host identifiers

07/30/2014 10:56 AM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1122938 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/450

4

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122938

Description of problem:

content host id and uuid are both used as content host identifiers, what is quite confusing

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-6-20140716.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

1. Compare various content host identifiers

Actual results:

1. hammer interprets uuid as id

1. hammer content-host list --organization-id 1

-------------------------------------|-----------------------------------

ID                                   | NAME

-------------------------------------|-----------------------------------

49eb6336-03cf-4396-8302-67d3cff2c24e | vmware194.englab.brq.redhat.com

...

2. api documentation for "PUT /katello/api/systems/:id" says:

id /required/ UUID of the content host /Value: String

so, uuid is used as content host id

3. but the return hash of "PUT /katello/api/systems/:id" API with 'id' set to 'b7dbf416-dd8d-4ab5-95ed-ffe51100ce2c' contains: {...,

"id"=>2, ...}

it contains uuid as well: "uuid"=>"b7dbf416-dd8d-4ab5-95ed-ffe51100ce2c",

but it's confusing to update an object with a specific id and getting another id in the response

Expected results:

Hide the 'real' content host id ("id"=>2) from the user as it isn't used anywhere and is only confusing (or drop it completely)

Additional info:

What about returning both - id and uuid keys - with the same value? {..., "id"=>"b7dbf416-dd8d-4ab5-95ed-ffe51100ce2c",

"uuid"=>"b7dbf416-dd8d-4ab5-95ed-ffe51100ce2c", ...}

Related issues:

Related to Katello - Bug #6917: system/host-collection API should take databa... Rejected
Revision 95ac2fdf - 08/04/2014 10:25 AM - dustin tsang

Fixes #6842 - system uuid as id bz1122938

In the Api, display uuid as the id in both the system show and index actions.

Revision 167b2f6e - 08/05/2014 03:20 PM - dustin tsang

Merge pull request #4504 from dustint-rh/system_present_uuid_as_id

Fixes #6842 - system uuid as id bz1122938

History

#1 - 08/04/2014 12:02 PM - dustin tsang

- Related to Bug #6917: system/host-collection API should take database id rather than the uuid added

#2 - 08/04/2014 12:02 PM - dustin tsang

created issue #6917.

in the long term, the API should only accept db ids for the content host

#3 - 08/04/2014 10:54 PM - Eric Helms

- Status changed from New to Ready For Testing

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 08/05/2014 03:20 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/4504 added

- Pull request deleted ()

#5 - 08/05/2014 04:02 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|95ac2fdf4b16d70f8f4853fbeb7d57b3616ee8bf.

#6 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
